Returned from the UserSession.loadUserData function.

### Hierarchy

- UserData

## Index

### Properties

- appPrivateKey
- authResponseToken
- coreSessionToken
- decentralizedID
- email
- gaiaAssociationToken
- gaiaHubConfig
- hubUrl
- identityAddress
- profile
- username

## Properties

### appPrivateKey

appPrivateKey: string

- Defined in auth/authApp.ts:53

### authResponseToken

authResponseToken: string

- Defined in auth/authApp.ts:58

### Optional coreSessionToken

coreSessionToken: string

- Defined in auth/authApp.ts:60

### decentralizedID

decentralizedID: string

- Defined in auth/authApp.ts:46

### Optional email

email: string

- Defined in auth/authApp.ts:43

### Optional gaiaAssociationToken

gaiaAssociationToken: string

- Defined in auth/authApp.ts:62

### Optional gaiaHubConfig

gaiaHubConfig: GaiaHubConfig

- Defined in auth/authApp.ts:67

### hubUrl

hubUrl: string

- Defined in auth/authApp.ts:56

### identityAddress

identityAddress: string

- Defined in auth/authApp.ts:49

### profile

profile: any

- Defined in auth/authApp.ts:65

### username

username: string

- Defined in auth/authApp.ts:36

Generated using TypeDoc